@use "../../../styles/colors-fonts" as cf;

.nav {
  display: flex;
  justify-content: space-between;
}

.menu {
  position: fixed;
  height: 100vh;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: cf.$primary-dark;
  width: 100vw;
  padding: 2.4rem;
  opacity: 0;
  visibility: hidden;
  cursor: pointer;
}

.close-menu {
  opacity: 0;
  visibility: hidden;
  animation: fadeOut 1 1s ease-in;
}

.open-menu {
  opacity: 1;
  visibility: visible;
  animation: fadeIn 1 0.6s ease-out;
}

.header {
  margin-bottom: 6.4rem;
  display: flex;
  justify-content: space-between;
}

.nav-links {
  @include cf.josefin-font;
  color: cf.$primary-darkgray;
  font-size: 1.8rem;
  text-transform: uppercase;
}

@media (min-width: 1001px) {
  .desktop {
    display: block;
  }
  .icon-hamburger {
    display: none;
  }
}

@media (max-width: 1000px) {
  .desktop {
    display: none;
  }
  .icon-hamburger {
    display: block;
  }
}

@keyframes fadeIn {
  0% {
    transform: translateY(-100%);
    opacity: 0;
    visibility: hidden;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
    visibility: visible;
  }
}

@keyframes fadeOut {
  0% {
    transform: translateY(0);
    opacity: 1;
    visibility: visible;
  }
  100% {
    transform: translateY(100%);
    opacity: 0;
    visibility: hidden;
  }
}
